Dependency Analysis of io.grpc:grpc-netty-shaded:1.41.0

BOM: com.google.cloud:libraries-bom:24.0.0

Global Upper Bounds Check

For each transitive dependency the library pulls in, the highest version found anywhere in the union of the BOM's dependency trees is picked.

Global Upper Bounds Fixes

Suggested updates to bring this artifact into sync with the highest versions of its dependencies used by any artifact in the BOM:

Local Upper Bounds Check

For each transitive dependency the library pulls in, the highest version found anywhere in the dependency tree is picked.

io.grpc:grpc-netty-shaded:1.41.0 selects the highest version of all dependencies.

Dependency Convergence

There is exactly one version of each dependency in the library's transitive dependency tree. That is, two artifacts with the same group ID and artifact ID but different versions do not appear in the tree. No dependency mediation is necessary.

Suggested Dependency Updates

Caution: The algorithm for suggesting updates is imperfect. They are not ordered by importance, and one change may render another moot.

Suggested updates to bring this artifact and its dependencies into sync with the highest versions of each dependency found in its own dependency tree:

Linkage Check

0 linkage error(s)

Dependencies

io.grpc:grpc-netty-shaded:jar:1.41.0


Last generated at 2022-05-20T12:41:50.084